﻿//
//  Widget code developed by:
//    David Steinbrunner
//    dsteinbrunner@pobox.com
//  
//  See License.txt for terms related to this code.
//

var connected = 1;
var requestCounter = 0;
var updateNotified = 0;

var progressiveNum = 0;

var reseted = 0;

soundPlayer("Resources/start.mp3")

webRequest();

if (preferences.balancePref.value == 0 || preferences.balancePref.value == 1) {
  preferences.balancePref.value = 3000;
}
if (widget.debug == 'on') debugWindow.visible = true;

var distributorInfo = filesystem.readFile("distID.txt", true);
var distributorID = distributorInfo[0];
if (preferences.distributorID.value == 0) {
  preferences.distributorID.value = distributorID;
}
// This does not work for zipped widget
//else if (preferences.distributorID.value != distributorID) {
//  filesystem.writeFile("distID.txt", preferences.distributorID.value);
//}

var BLANK = -1;
var HEARTS = 3;
var DIAMONDS = 4;
var CLUBS = 5;
var SPADES = 6;
var JACK = 11;
var QUEEN = 12;
var KING = 13;
var tick = 1000;
var random_m = 714025;
var random_a = 4096;
var random_c = 150889;
var random_seed = (new Date()).getTime()%random_m;
var tempcard = new Card(0, 0);
var maindeck = new Deck("maindeck", 52);
var dealer = new Deck("dealer", 6);
var player = new Deck("player", 6);
var split = new Deck("split", 6);
var hideflag = false;
var splitvalue = new Number(0);
var insuranceflag = false;
var blackjackflag = false;
var message ="";
var firststand = true;

var dealflag = true;
var hitflag = false;
var standflag = false;
var insureflag = false;
var doubleflag = false;
var splitflag = false;

var standDisabled = true

var betNum = new Number(preferences.betPref.value);
var balanceNum;
var oldBalance;
var splitnum = 0;
var totalBetVal = new Number(0);
var blackjacks = new Number(0);

if (betNum == 0) {
  betNum = 10;
  preferences.betPref.value = 10;
}

setBalance(preferences.balancePref.value);
paidText.data = dollarize(0);

setBet(betNum);

checkBetting();

fillmaindeck();
maindeck.shuffle();
maindeck.dealt = 0;
dealer.reset();
player.reset();
split.reset();
showstatus("");
showmessage("Deal?");
setButtonFlag('deal', true);

// Card object constructor
function Card(value, suit) {
   this.value = value;
   this.suit = suit;
}

// Deck object constructor
function Deck(decklabel, length) {
   this.decklabel = decklabel;
   this.size = length;
   this.dealt = 6;
   this.points = 0;
   this.calcpoints = calcpoints;
   for (var i = 0; i < this.size; i++) {
      this[i] = new Card(0, 0);
   }
   this.shuffle = shuffledeck;
   this.putdown = putdown;
   this.putpoints = putpoints;
   this.reset = resetdeck;
   this.doubledownflag = false;
   this.blackjackflag = false;
}

function fillmaindeck() {
   var ctr , i , j;
   ctr = 0;
   for (j = HEARTS; j <= SPADES; j++) {
      for (i = 1; i <= KING; i++) {
         maindeck[ctr] = new Card(i,j);
        ctr++;
      }
   }
}

function randomize(max_value) {
   var rand;
   random_seed = (random_seed * random_a + random_c) % random_m;
   rand = parseInt(random_seed * max_value / random_m);
   if (rand + '' == "NaN") {
      rand = 0;
   }
   return rand;
}

function shuffledeck() {
   var i, j, k;
   showstatus("Shuffling...");
   for (k = 0; k < 10; k++) {
      for (i = 0; i < 52; i++) {
         j = randomize(52);
         tempcard = this[i];
         this[i] = this[j];
         this[j] = tempcard;
      }
   }
}

function reshuffle() {
   var i, j, k;
   temp = new Card(0, 0);
   maindeck.shuffle();
   maindeck.dealt = 0;
   for (i = 0; i < dealer.dealt; i++) {
      k = 0;
      while (maindeck[k] != dealer[i]) k++;
      temp = maindeck[i];
      maindeck[i] = dealer[i];
      maindeck[k] = temp;
      maindeck.dealt++;
   }
   for (j = 0; j < player.dealt; j++) {
      k = 0;
      while (maindeck[k] != player[j]) k++;
      temp = maindeck[i + j];
      maindeck[i + j] = player[j];
      maindeck[k] = temp;
      maindeck.dealt++;
   }
   for (j = 0; j < split.dealt; j++) {
      k = 0;
      while (maindeck[k] != split[j]) k++;
      temp = maindeck[i + j];
      maindeck[i + j] = split[j];
      maindeck[k] = temp;
      maindeck.dealt++;
   }
}

function resetdeck() {
   playertype = this.decklabel;
   if (playertype == "dealer") {
      dealerText.data = '';
      d0.src = '';
      d1.src = '';
      d2.src = '';
      d3.src = '';
      d4.src = '';
      d5.src = '';
   } else if (playertype == "player") {
      playerText.data = '';
      p0.src = '';
      p1.src = '';
      p2.src = '';
      p3.src = '';
      p4.src = '';
      p5.src = '';
   } else if (playertype == "split") {
      splitText.data = '';
      s0.src = '';
      s1.src = '';
      s2.src = '';
      s3.src = '';
      s4.src = '';
      s5.src = '';
   }
   
   this.dealt = 0;
   this.points = 0;
   this.doubledownflag = false;
   this.blackjackflag = false;
}

function putdown() {
   putcard(this.decklabel, this.dealt, this[this.dealt].value, this[this.dealt].suit);
}

function putpoints() {
   if (this.decklabel == "dealer") {
      dealerPointsText.data = this.points;
   } else if (this.decklabel == "player") {
      playerPointsText.data = this.points;
   } else if (this.decklabel == "split") {
      splitPointsText.data = this.points;
   }
}

function putcard(playertype, position, value, suit) {
   var filename;
   
   if (value != 0) {
      soundPlayer("Resources/flip.mp3");
   }
   //print(playertype + ", " + position + ", " + value + ", " + suit + "\n");

   if (suit == HEARTS) {
      suit = "H";
   } else if (suit == DIAMONDS) {
      suit = "D";
   } else if (suit == CLUBS) {
      suit = "C";
   } else {
      suit = "S";
   }
   if (value == JACK) {
      value = "J";
   } else if (value == QUEEN) {
      value = "Q";
   } else if (value == KING) {
      value = "K";
   } else if (value == 1) {
      value = "A";
   }
   
   if (hideflag) {
      filename = "Resources/cards/EHback.png";
   } else if (value == 0) {
      filename = "";
   } else {
      filename = "Resources/cards/" + value + suit + ".png";
   }
   
   if (playertype == "dealer") {
      if (position == 0) {
        d0.src = filename;
      } else if (position == 1) {
        d1.src = filename;
      } else if (position == 2) {
        d2.src = filename;
      } else if (position == 3) {
        d3.src = filename;
      } else if (position == 4) {
        d4.src = filename;
      } else if (position == 5) {
        d5.src = filename;
      }
      if (hideflag) {
         dealerText.data += ' XX';
      } else {
         var at = dealerText.data.indexOf(" XX");
         if (at >= 0) {
            dealerText.data = dealerText.data.substring(0, at);
         }
         dealerText.data += ' ' + value + suit;
      }
   } else if (playertype == "player") {
      if (position == 0) {
        p0.src = filename;
      } else if (position == 1) {
        p1.src = filename;
      } else if (position == 2) {
        p2.src = filename;
      } else if (position == 3) {
        p3.src = filename;
      } else if (position == 4) {
        p4.src = filename;
      } else if (position == 5) {
        p5.src = filename;
      }
      if (value == 0) {
        var at = playerText.data.length - 4;
        playerText.data = playerText.data.substring(0, at);
      } else {
          playerText.data += ' ' + value + suit;
      }
   } else if (playertype == "split") {
      if (position == 0) {
        s0.src = filename;
      } else if (position == 1) {
        s1.src = filename;
      } else if (position == 2) {
        s2.src = filename;
      } else if (position == 3) {
        s3.src = filename;
      } else if (position == 4) {
        s4.src = filename;
      } else if (position == 5) {
        s5.src = filename;
      }
      splitText.data += ' ' + value + suit;
   }
}

function dealhand() {
   if (! dealflag) return;

   soundPlayer("Resources/btn_press.mp3");
   
   plusButton.src = "Resources/plus_grey.png";
   minusButton.src = "Resources/minus_grey.png";
   
   dealerNotification.src = '';
   playerNotification.src = '';
   splitNotification.src = '';
   
   dealerPointsText.data = "";
   playerPointsText.data = "";
   splitPointsText.data = "";
   splitBox.src = "";
   
   clearExtra();
   
   dealer.reset();
   player.reset();
   split.reset();
   blackjackflag = false;
   
   paidText.data = dollarize(0);
   
   setButtonFlag('deal', false);
   setButtonFlag('hit', false);
   setButtonFlag('stand', false);
   setButtonFlag('split', false);
   setButtonFlag('insure', false);
   setButtonFlag('double', false);

   insuranceflag = false;
   setBalance(balanceNum - betNum);
   showstatus("Dealing...");
   showmessage("");
   sleep(100);
   soundPlayer("Resources/shuffle.mp3");
   sleep(tick);
   if (maindeck.dealt == 52) reshuffle();
   player[player.dealt] = maindeck[maindeck.dealt];
   player.putdown();
   player.dealt++;
   maindeck.dealt++;
   player.calcpoints();
   player.putpoints();
   sleep(tick);
   deal2();
}

function deal2() {
   if (maindeck.dealt == 52) reshuffle();
   dealer[dealer.dealt] = maindeck[maindeck.dealt];
   dealer.putdown();
   dealer.dealt++;
   maindeck.dealt++;
   dealer.calcpoints();
   dealer.putpoints();
   sleep(tick);
   deal3();
}

function deal3() {
   if (maindeck.dealt == 52) reshuffle();
   player[player.dealt] = maindeck[maindeck.dealt];
   player.putdown();
   player.dealt++;
   maindeck.dealt++;
   player.calcpoints();
   player.putpoints();
   sleep(tick);
   deal4();
}

function deal4() {
   hideflag = true;
   if (maindeck.dealt == 52) reshuffle();
   dealer[dealer.dealt] = maindeck[maindeck.dealt];
   dealer.putdown();
   dealer.dealt++;
   maindeck.dealt++;
   hideflag = false;
   message = "";
   
   // For testing splits
   //sleep(tick);
   //setButtonFlag('split', true);
   //splithand();
   //return;
   
   if (dealer[0].value == 1 && !(balanceNum < betNum * 0.5)) {
      setButtonFlag('insure', true);
      message = "Insure, " + message;
   }
   if (player.points == 21) {
      player.blackjackflag = true;
      blackjackflag = true;
   } else {
      setButtonFlag('hit', true);
      message += "Hit, ";
      if (player[0].value == player[1].value  && !(balanceNum < betNum)) {
         setButtonFlag('split', true);
         message = "Split, " + message;
      }
      if (player.dealt == 2 && !(balanceNum < betNum)) {
         setButtonFlag('double', true);
         message = "Double, " + message;
      }
   }
   setButtonFlag('stand', true);
   standDisabled = false;
   if (dealer[0].value != 1 && player.blackjackflag) {
      sleep(tick);
      stand();
   } else {
      message += "or Stand?";
      showmessage(message);
      showstatus("Waiting for Player...");
   }
}

function hit(doubled) {
   if (! hitflag) return;
   
   sleep(100);
   soundPlayer("Resources/hit.mp3");
   
   if (splitflag) {
     setButtonFlag('split', false);
   }
   
   var handtype = player;   
   if (splitnum == 2) {
     handtype = split;
   }
   
   if (maindeck.dealt == 52) reshuffle();
   handtype[handtype.dealt] = maindeck[maindeck.dealt];
   handtype.putdown();
   handtype.dealt++;
   maindeck.dealt++;
   handtype.calcpoints();
   handtype.putpoints();
   setButtonFlag('double', false);
   setButtonFlag('insure', false);
   if (handtype.points > 21) {
      setButtonFlag('hit', false);
      //showstatus("You lose...");
      //soundPlayer("Resources/dealer.mp3");
      if (splitnum == 2) {
         splitNotification.src = "Resources/bust.png";
      } else {
         playerNotification.src = "Resources/bust.png";
      }
      hideflag = false;
      sleep(tick);
      if (!doubled) {
         stand();
      }
   } else if (handtype.points == 21 || handtype.dealt == 6) {
      sleep(tick);
      if (!doubled) {
         stand();
      }
   } else {
     sleep(tick);
   }
}

function stand(clicked) {
   if (! standflag) return;
   if (standDisabled  && clicked) return;
   
   if (clicked) {
     sleep(100);
     soundPlayer("Resources/stand.mp3");
     sleep(tick);
   }
   
   if (splitnum) {
     splitstand();
     return;
   }
   
   setButtonFlag('hit', false);
   setButtonFlag('double', false);
   setButtonFlag('insure', false);
   setButtonFlag('split', false);
   
   standButton.src = "Resources/stand_grey.png";
   standDisabled = true;
   
   if (statusText.data != "You lose...") {
      showstatus("Standing...");
   }
   if (firststand) {
      putcard("dealer", 1, dealer[1].value, dealer[1].suit);
      firststand = false;
   } else {
      if (maindeck.dealt == 52) {
         reshuffle();
      }
      dealer[dealer.dealt] = maindeck[maindeck.dealt];
      dealer.putdown();
      maindeck.dealt++;
      dealer.dealt++;
   }
   dealer.calcpoints();
   dealer.putpoints();
   // Dealer stands on 17
   if (dealer.dealt < 6 && ! insuranceflag && ! blackjackflag) {
      if (player.points <= 21 && dealer.points < 17) {
         sleep(tick);
         stand();
         return;
      }
   }
   if (dealer.points == 21 && dealer.dealt == 2) {
      dealer.blackjackflag = true;
   }
   
   // Results section
   setButtonFlag('stand', false);
   oldBalance = balanceNum;
   
   if (! insuranceflag && splitvalue != 1) {
      if (player.points > dealer.points || dealer.points > 21) {
         if (player.points <= 21) {
            if (player.doubledownflag) {
               showstatus("Double Down!");
               playerNotification.src = "Resources/win.png";
               setBalance(balanceNum + (betNum * 4));
            } else if (player.blackjackflag) {
               showstatus("Black Jack!");
               setBalance(balanceNum + (betNum * 2.5));
               playerNotification.src = "Resources/blackjack.png";
            } else {
               showstatus("You win!");
               playerNotification.src = "Resources/win.png";
               setBalance(balanceNum + (betNum * 2));
            }
            if (dealer.points > 21) {
              dealerNotification.src = "Resources/bust.png";
            }
            soundPlayer("Resources/player.mp3");
         } else {
            showstatus("You lose...");
            dealerNotification.src = "Resources/win.png";
            soundPlayer("Resources/dealer.mp3");
         }
      } else if (player.points == dealer.points && player.points <= 21) {
         showstatus("Push...");
         soundPlayer("Resources/player.mp3");
         playerNotification.src = "Resources/push.png";
         if (dealer.blackjackflag) {
           dealerNotification.src = "Resources/blackjack.png";
         }
         if (player.doubledownflag) {
            setBalance(balanceNum + (betNum * 2));
         } else {
            setBalance(balanceNum + betNum);
         }
      } else {
         showstatus("You lose...");
         soundPlayer("Resources/dealer.mp3");
         if (dealer.blackjackflag) {
           dealerNotification.src = "Resources/blackjack.png";
         } else {
           dealerNotification.src = "Resources/win.png";
         }
      }
   } else if (splitvalue == 1) {
      if (dealer.points > 21) {
         dealerNotification.src = "Resources/bust.png";
      }
      splitvalue = 0;
      if (player.points > dealer.points || dealer.points > 21) {
         if (player.points <= 21) {
            if (player.doubledownflag) {
               playerNotification.src = "Resources/win.png";
               setBalance(balanceNum + (betNum * 4));
            } else if (player.blackjackflag) {
               setBalance(balanceNum + (betNum * 2.5));
               playerNotification.src = "Resources/blackjack.png";
            } else {
               playerNotification.src = "Resources/win.png";
               setBalance(balanceNum + (betNum * 2));
            }
            splitvalue += 2;
         }
      } else if (player.points == dealer.points && player.points <= 21) {
         playerNotification.src = "Resources/push.png";
         if (player.doubledownflag) {
            setBalance(balanceNum + (betNum * 2));
         } else {
            setBalance(balanceNum + betNum);
         }
         splitvalue += 1;
      }
      if (split.points > dealer.points || dealer.points > 21) {
         if (split.points <= 21) {
            if (split.doubledownflag) {
               splitNotification.src = "Resources/win.png";
               setBalance(balanceNum + (betNum * 4));
            } else if (split.blackjackflag) {
               setBalance(balanceNum + (betNum * 2.5));
               splitNotification.src = "Resources/blackjack.png";
            } else {
               splitNotification.src = "Resources/win.png";
               setBalance(balanceNum + (betNum * 2));
            }
            splitvalue += 2;
         }
      } else if (split.points == dealer.points && split.points <= 21) {
         splitNotification.src = "Resources/push.png";
         if (split.doubledownflag) {
            setBalance(balanceNum + (betNum * 2));
         } else {
            setBalance(balanceNum + betNum);
         }
         splitvalue += 1;
      }

      if (splitvalue >= 2) {
        showstatus("You Win!");
        soundPlayer("Resources/player.mp3");
      } else {
        showstatus("You Lose...");
        soundPlayer("Resources/dealer.mp3");
         if (dealer.blackjackflag) {
           dealerNotification.src = "Resources/blackjack.png";
         } else {
           dealerNotification.src = "Resources/win.png";
         }
      }
      
      player.dealt = 6;
      split.dealt = 6;
      splitvalue = 0;
   } else if (insuranceflag) {
      setBalance(balanceNum + (betNum * 1.5));
      showstatus("Insurance win!");
      soundPlayer("Resources/player.mp3");
      playerNotification.src = "Resources/win.png";
   }
   if (balanceNum < 2) {
      showstatus("Balance not large enough...");
      showmessage("Game Over");
      alert("All is not lost.  Try again!");
      reset();
   } else {
      showmessage("Deal?");
      setButtonFlag('deal', true);
      firststand = true;
      checkBetting();
   }
   
   if (reseted == 1) {
     reseted = 0;
     setButtonFlag('deal', true);
   } else {
     var diff = balanceNum - oldBalance;
     if (diff > 0) {
       paidText.data = dollarize(diff);
     }
   }
   
   setBet(betNum);
   
   if (blackjackflag && splitvalue == 1) {
     blackjacks = 2;
   } else if (blackjackflag || (splitvalue == 1 && (split.blackjackflag || player.blackjackflag))) {
     blackjacks += 1;
   } else {
     blackjacks = 0;
   }
   
   if (blackjacks == 2) {
     sleep(tick * 3);
     linker("blackjacks");
     blackjacks = 0;
   }
}

function insure() {
  if (! insureflag) return;
    setButtonFlag('insure', false);
    var extraBet = betNum * 0.5;
    if (balanceNum < extraBet) {
      showmessage("Balance not large enough... No Insurance");
    } else {
      placePile(extraBet, 'insure');
      setBalance(balanceNum - extraBet);
      sleep(tick);
      dealer.calcpoints();
      if (dealer.points == 21) {
         showstatus("Insurance win!");
         //soundPlayer("Resources/player.mp3");
         playerNotification.src = "Resources/win.png";
         dealerNotification.src = "Resources/blackjack.png";
         insuranceflag = true;
         stand();
      } else {
         showstatus("Insured for nothing...");
         dealerNotification.src = "Resources/win.png";
         sleep(tick * 2);
         dealerNotification.src = "";
         clearExtra();
         
         if (player.blackjackflag) {
            //sleep(tick);
            stand();
         } else {
            message = "";
            if (splitflag) {
               message = "Split, " + message;
            }
            if (doubleflag) {
               message = "Double, " + message;
            }
            message += "Hit or Stand?";
            showmessage(message);
         }
      }
   }
}

function doubledown() {
   if (! doubleflag) return;
   setButtonFlag('double', false);
   if (balanceNum < betNum) {
      showmessage("Balance not large enough... No Double Down");
   } else {
      showstatus("Doubling...");
      setBalance(balanceNum - betNum);
      placePile(betNum, 'add');
      var handtype = player;   
      if (splitnum == 2) {
         handtype = split;
      }
      handtype.doubledownflag = true;
      if (insureflag) {
         setButtonFlag('insure', false);
      }
      hit(1);
      stand();
   }
}

function splithand() {
   if (! splitflag) return;
   setButtonFlag('split', false);
   if (balanceNum < betNum) {
      showmessage("Balance not large enough... No Split");
      splitvalue = 0;
   } else {
      sleep(100);
      showstatus("Splitting...");
      showmessage("");
      setBalance(balanceNum - betNum);
      placePile(betNum, 'add');
      splitvalue = 1;
      if (insureflag) {
         setButtonFlag('insure', false);
      }
      split[0] = new Card(player[1].value, player[1].suit);
      split.dealt++;
      player[1] = new Card(0, 0);
      player.dealt--;
      putcard("player", 1, 0, 0);
      splitBox.src = "Resources/not_box.png";
      putcard("split", 0, split[0].value, split[0].suit);
      player.calcpoints();
      split.calcpoints();
      player.putpoints();
      split.putpoints();
      sleep(tick);
      split3();
  }
}

function split3() {
   if (maindeck.dealt == 52) reshuffle();
   player[player.dealt] = maindeck[maindeck.dealt];
   maindeck.dealt++;
   player.dealt++;
   putcard("player", 1, player[1].value, player[1].suit);
   player.calcpoints();
   player.putpoints();
   sleep(tick);
   split4();
}

function split4() {
   if (maindeck.dealt == 52) reshuffle();
   split[split.dealt] = maindeck[maindeck.dealt];
   maindeck.dealt++;
   split.dealt++;
   putcard("split", 1, split[1].value, split[1].suit);
   split.calcpoints();
   split.putpoints();
   playerArrow.src = "Resources/arrow.png";
   if (player[0].value == 1 && split[0].value == 1) {
     splitnum == 0;
     sleep(tick);
     stand();
   } else {
     splitnum = 1;
     if (player.points == 21) {
       player.blackjackflag = true;
     } else {
       setButtonFlag('hit', true);
       message += "Hit, ";
       if (player.dealt == 2 && !(balanceNum < betNum)) {
         setButtonFlag('double', true);
         message = "Double, " + message;
       }
     }
     setButtonFlag('stand', true);
     standDisabled = false;
     if (dealer[0].value != 1 && player.blackjackflag) {
       sleep(tick);
       stand();
     } else {
       message += "or Stand?";
       showmessage(message);
       showstatus("Waiting for Player...");
     }
   }
}

function splitstand() {
  if (splitnum == 1) {
    playerArrow.src = "";
    splitArrow.src = "Resources/arrow.png";
    splitnum = 2;
    message = "";
    if (split.points == 21) {
      split.blackjackflag = true;
      if (player.blackjackflag) {
        blackjackflag = true;
      }
    } else {
      if (!hitflag) {
        setButtonFlag('hit', true);
      }
      message += "Hit, ";
      if (split.dealt == 2 && !(balanceNum < betNum)) {
        if (!doubleflag) {
          setButtonFlag('double', true);
        }
        message = "Double, " + message;
      }
    }
    if (!standflag) {
      setButtonFlag('stand', true);
    }
    standDisabled = false;
    if (dealer[0].value != 1 && split.points == 21) {
      sleep(tick);
      stand();
    } else {
      message += "or Stand?";
      showmessage(message);
      showstatus("Waiting for Player...");
    }
  } else if (splitnum == 2) {
    splitArrow.src = "";
    splitnum = 0;
    stand()
  }
}

function calcpoints() {
   var card;
   var aceflag = false;
   this.points = 0;
   for (card = 0; card < this.dealt; card++) {
      if (!(card == 1 && hideflag)) {
         if (this[card].value == JACK
          || this[card].value == QUEEN
          || this[card].value == KING) {
            this.points += 10;
         } else if (this[card].value == 1) {
            if (! aceflag) {
               aceflag = true;
            } else {
               this.points++;
               // if there is an ace already, the new ace is only worth 1
            }
         } else {
            this.points += this[card].value;
         }
      }
   }
   if (aceflag) {
      if (this.points <= 10) {
         this.points += 11;
      } else {
         this.points++;
      }
   }
}

function showstatus(status) {
   statusText.data = status;
}

function showmessage(message) {
   messageText.data = message;
}

function setButtonFlag(type, value) {
   var ableness = "";
   if (value == false) {
      ableness = "_grey";
   }
   if (type == 'deal') {
      dealflag = value;
      dealButton.src = "Resources/deal" + ableness + ".png";
   } else if (type == 'hit') {
      hitflag = value;
      hitButton.src = "Resources/hit" + ableness + ".png";
   } else if (type == 'stand') {
      standflag = value;
      standButton.src = "Resources/stand" + ableness + ".png";
   } else if (type == 'insure') {
      insureflag = value;
      insureButton.src = "Resources/insurance" + ableness + ".png";
   } else if (type == 'double') {
      doubleflag = value;
      doubleButton.src = "Resources/double" + ableness + ".png";
   } else if (type == 'split') {
      splitflag = value;
      splitButton.src = "Resources/split" + ableness + ".png";
   }
}

function setProgressive(num)
{
  if (isNaN(num) || !connected) {
    progressiveTextRight.data = "N/A";
  } else {
    progressiveTextRight.data = formatAsMoney(num);
    progressiveNum = num;
  }
}

function setBalance(num)
{
   balanceNum = num;
   preferences.balancePref.value = num;
   balanceText.data = dollarize(num);
}

function soundPlayer(sound) {
  if (preferences.soundPref.value == 1) {
    play(sound);
  }
}

function toggleHelpWindow() 
{ 
  if (helpWindow.visible == true) {
    helpWindow.visible = false;
  } else {
    helpWindow.visible = true;
  }
}

function webRequest()
{
  if (requestCounter % 62 == 0) {
    var url = new URL();	 
    url.location = "http://jackpots.oddsonjackpots.com/jackpot/servlet/jackpot?id=BJ&c=EH";	 
    url.fetchAsync(progressiveResponce);
  } else if (progressiveNum) {
    var up = random(0,5)
    if (up) {
      setProgressive(progressiveNum + random(0,3));
    }
  }
  
  if ((requestCounter % 172800) == 0) {
    dailyUpdateRequest();
  }
  
  requestCounter++;
}

function progressiveResponce( url )	 
{ 
  if (url.response != 200) {
    progressiveTextRight.data = "N/A";
    tickerText.data = "Connection problems - Check Internet Settings";
    connected = 0;
  } else {
    var data = url.result.split('\r\n');

    setProgressive(Number(data[0]));
      
    if (connected == 0) {
      connected = 1;
      dailyUpdateRequest();
    }
  }
}

function dailyUpdateRequest() {
  var url2 = new URL();	 
  url2.location = "http://www.englishharbour.com/client/widget/message.txt";	 
  url2.fetchAsync(messageResponce);
}

function messageResponce( url ) {
  if (url.response == 200) {
    var data = url.result.split('\r\n');
    tickerText.data = data[0];
    
    if (!updateNotified && widget.version < data[1]) {
      updateNotified = 1;
      var answer = alert("Vegas Strip Blackjack's version " + data[1] + " is now avalible!\n\nThe download page will open after clicking 'OK'.", "OK", "Cancel");
      if (answer == 1) {
        sleep(1000);
        openURL(data[2]);
      }
    }
  } 
}

function dollarize(num) {
   var substr = ".";
   newNum = num.toString();
   dotIndex = newNum.indexOf(substr);
   if (dotIndex == -1)
   {
     newNum += ".00";
   }
   else
   {
     var whole = newNum.slice(0,dotIndex);
     var star = dotIndex + 1;
     var end = dotIndex + 3;
     var dec = newNum.slice(star,end);
     newNum = whole + "." + dec;
     if (dec.length == 1) {
       newNum += "0";
     }
   }
   
   return "$" + newNum;
}

function formatAsMoney(val)
{
  val = String(val);
  var length = val.length;
  var reverseVal = '';
  var i = 0;
  while (length > 0)
  {
    length--;
    i++;
    reverseVal += val.charAt(length);
    if (i == 2) {
      reverseVal += ".";
    } else if (0 == ((i - 2) % 3) && length != 0 ) {
      reverseVal += ",";
    }
  }
  
  return "$" + reverseString(reverseVal);
}

function reverseString(input)
{
  var output = '';
  
  for (i = 0; i <= (input.length - 1); i++) {
    output = input.charAt(i) + output;
  } 
  
  return output;
}

function reset() 
{ 
  setBalance('3000.00');
  firststand = true;
  reseted = 1;
}

function toggleBet(type) 
{ 
  if (type == 'up') {
    minusButton.src = "Resources/minus_down.png";
    setBet(betNum + 2);
  } else {
    plusButton.src = "Resources/plus_down.png";
    setBet(betNum - 2);
  }
  checkBetting(1);
  clearExtra();
}

function checkBetting(toggle) {
  if (balanceNum < betNum && !toggle) {
    if (balanceNum % 2) {
      betNum = balanceNum - 1;
    } else {
      betNum = balanceNum;
    }
    setBet(betNum);
  }
  
  if (betNum != 2) {
    minusButton.src = "Resources/minus_down.png";
  }
  if (betNum != 200) {
    plusButton.src = "Resources/plus_down.png";
  }
  
  if (betNum == 200) {
    plusButton.src = "Resources/plus_grey.png";
  } else if (betNum == 2) {
    minusButton.src = "Resources/minus_grey.png";
  } else if (balanceNum < 200 && balanceNum == (betNum + 1)) {
    plusButton.src = "Resources/plus_grey.png";
  }
  
  if (balanceNum == betNum) {
    plusButton.src = "Resources/plus_grey.png";
  }
}

function linker(type) {
   if (type == "blackjacks") {
     var num = 2;
     if (system.platform == 'macintosh') {
       num = 3;
     }
     link = "http://www.jack-pot-central.com/2006/bj_landing/bj_landing_eh" + num + ".php";
   } else {
     if (system.platform == 'macintosh') {
       link = "http://www.englishharbour.com/flash/swf/main.php?cid=EF&c=" + preferences.distributorID.value + "&s=mac" + type;;
     } else {
       if (type == "logohome") {
         link = "http://www.englishharbour.com/?c=" + preferences.distributorID.value + "&s=" + type;
       } else if (type == "progticker") {
         link = "http://www.englishharbour.com/download/downloadpage.php?c=" + preferences.distributorID.value + "&s=" + type;
       }
     }
   }
   
   openURL(link);
}

function setBet (val) {
   betNum = val;
   preferences.betPref.value = betNum;
   betText.data = dollarize(betNum);
   placePile(betNum)
}

function placePile(val,type) {
   var c1, c2, c3, c4, c5, c6, c7, c8, c9, c10, c11, c12, c13;

   if (type != 'insure') {
     if (type == 'add') {
       totalBetVal += val;
       val = totalBetVal;
     } else {
       totalBetVal = val;
     }
     
     chip13.src = "";
     chip12.src = "";
     chip11.src = "";
     chip10.src = "";
     chip9.src = "";
     chip8.src = "";
     chip7.src = "";
     chip6.src = "";
     chip5.src = "";
     chip4.src = "";
     chip3.src = "";
     chip2.src = "";
     chip1.src = "";
     
     c13 = chip13;
     c12 = chip12;
     c11 = chip11;
     c10 = chip10;
     c9 = chip9;     
     c8 = chip8;
     c7 = chip7;
     c6 = chip6;
     c5 = chip5;
     c4 = chip4;
     c3 = chip3;
     c2 = chip2;
     c1 = chip1;
   } else {
     c7 = extra7;
     c6 = extra6;
     c5 = extra5;
     c4 = extra4;
     c3 = extra3;
     c2 = extra2;
     c1 = extra1;
   }
   
   if (val == 1) {
     c1.src = "Resources/tc_chip_100.png";
   } else if (val == 2) {
     c1.src = "Resources/tc_chip_200.png";
   } else if (val == 3) {
     c2.src = "Resources/tc_chip_100.png";
     c1.src = "Resources/tc_chip_200.png";
   } else if (val == 4) {
     c2.src = "Resources/tc_chip_200.png";
     c1.src = "Resources/tc_chip_200.png";
   } else if (val == 5) {
     c1.src = "Resources/tc_chip_500.png";
   } else if (val == 6) {
     c2.src = "Resources/tc_chip_100.png";
     c1.src = "Resources/tc_chip_500.png";
   } else if (val == 7) {
     c2.src = "Resources/tc_chip_200.png";
     c1.src = "Resources/tc_chip_500.png";
   } else if (val == 8) {
     c3.src = "Resources/tc_chip_100.png";
     c2.src = "Resources/tc_chip_200.png";
     c1.src = "Resources/tc_chip_500.png";
   } else if (val == 9) {
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_200.png";
     c1.src = "Resources/tc_chip_500.png";
   } else if (val == 10) {
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 11) {
     c2.src = "Resources/tc_chip_100.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 12) {
     c2.src = "Resources/tc_chip_200.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 13) {
     c3.src = "Resources/tc_chip_100.png";
     c2.src = "Resources/tc_chip_200.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 14) {
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_200.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 15) {
     c2.src = "Resources/tc_chip_500.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 16) {
     c3.src = "Resources/tc_chip_100.png";
     c2.src = "Resources/tc_chip_500.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 17) {
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_500.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 18) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_500.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 19) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_500.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 20) {
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 21) {
     c3.src = "Resources/tc_chip_100.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 22) {
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 23) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 24) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_1000.png";
   } else if (val == 25) {
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 26) {
     c2.src = "Resources/tc_chip_100.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 27) {
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_200.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 28) {
     c3.src = "Resources/tc_chip_100.png";
     c2.src = "Resources/tc_chip_200.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 29) {
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_200.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 30) {
     c2.src = "Resources/tc_chip_500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 31) {
     c3.src = "Resources/tc_chip_100.png";
     c2.src = "Resources/tc_chip_500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 32) {
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 33) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 34) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 35) {
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 36) {
     c3.src = "Resources/tc_chip_100.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 37) {
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 38) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 39) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 40) {
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 41) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 42) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 43) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 44) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 45) {
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 46) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 47) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 48) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 49) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 50) {
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 51) {
     c3.src = "Resources/tc_chip_100.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 52) {
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 53) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 54) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 55) {
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 56) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 57) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 58) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 59) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 60) {
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 61) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 62) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 63) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 64) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 65) {
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 66) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 67) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 68) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 69) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 70) {
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 71) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 72) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 73) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 74) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 75) {
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 76) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 77) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 78) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 79) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 80) {
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 81) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 82) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 83) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 84) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 85) {
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 86) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 87) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 88) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 89) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 90) {
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 91) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 92) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 93) {
     c7.src = "Resources/tc_chip_100.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 94) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 95) {
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 96) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 97) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 98) {
     c7.src = "Resources/tc_chip_100.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 99) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_2500.png";
   } else if (val == 100) {
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 100) {
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 102) {
     c2.src = "Resources/tc_chip_200.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 104) {
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_200.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 106) {
     c3.src = "Resources/tc_chip_100.png";
     c2.src = "Resources/tc_chip_500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 108) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 110) {
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 112) {
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 114) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 116) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 118) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 120) {
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 122) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 124) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_1000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 126) {
     c3.src = "Resources/tc_chip_100.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 128) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 130) {
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 132) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 134) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 136) {
     c4.src = "Resources/tc_chip_100.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 138) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 140) {
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 142) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 144) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 146) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 148) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 150) {
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 152) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 154) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 156) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 158) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 160) {
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 162) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 164) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 166) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 168) {
     c7.src = "Resources/tc_chip_100.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 170) {
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 172) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 174) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 176) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 178) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 180) {
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 182) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 184) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 186) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 188) {
     c7.src = "Resources/tc_chip_100.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 190) {
     c6.src = "Resources/tc_chip_500.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 192) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_500.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 194) {
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_500.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 196) {
     c7.src = "Resources/tc_chip_100.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 198) {
     c8.src = "Resources/tc_chip_100.png";
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_2500.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 200) {
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 204) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_200.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 208) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 210) {
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 212) {
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 216) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 220) {
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 222) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 224) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_1000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 228) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 232) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 234) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 236) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 240) {
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 244) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 246) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 248) {
     c7.src = "Resources/tc_chip_100.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 252) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 256) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 258) {
     c7.src = "Resources/tc_chip_100.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 260) {
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 264) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 268) {
     c8.src = "Resources/tc_chip_100.png";
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_500.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 270) {
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 272) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 276) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 280) {
     c6.src = "Resources/tc_chip_500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 282) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 284) {
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 288) {
     c8.src = "Resources/tc_chip_100.png";
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 292) {
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_500.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 294) {
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_500.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 296) {
     c8.src = "Resources/tc_chip_100.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_2500.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 300) {
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 304) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_200.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 306) {
     c5.src = "Resources/tc_chip_100.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 308) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 312) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 316) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 318) {
     c7.src = "Resources/tc_chip_100.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 320) {
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 324) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_1000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 328) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 330) {
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 332) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 336) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 340) {
     c6.src = "Resources/tc_chip_500.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 342) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_500.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 344) {
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_500.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 348) {
     c8.src = "Resources/tc_chip_100.png";
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 352) {
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 354) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 356) {
     c7.src = "Resources/tc_chip_100.png";
     c6.src = "Resources/tc_chip_500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 360) {
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 364) {
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 366) {
     c8.src = "Resources/tc_chip_100.png";
     c7.src = "Resources/tc_chip_500.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 368) {
     c9.src = "Resources/tc_chip_100.png";
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_500.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 372) {
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 376) {
     c7.src = "Resources/tc_chip_100.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 378) {
     c8.src = "Resources/tc_chip_100.png";
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 380) {
     c7.src = "Resources/tc_chip_500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 384) {
     c8.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 388) {
     c9.src = "Resources/tc_chip_100.png";
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 390) {
     c8.src = "Resources/tc_chip_500.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 392) {
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_500.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 396) {
     c8.src = "Resources/tc_chip_100.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_2500.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 400) {
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 402) {
     c5.src = "Resources/tc_chip_200.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 408) {
     c7.src = "Resources/tc_chip_100.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 414) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 416) {
     c7.src = "Resources/tc_chip_100.png";
     c6.src = "Resources/tc_chip_500.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 420) {
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 424) {
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_1000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 426) {
     c6.src = "Resources/tc_chip_100.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 432) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 438) {
     c8.src = "Resources/tc_chip_100.png";
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 440) {
     c7.src = "Resources/tc_chip_500.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 444) {
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_500.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 448) {
     c9.src = "Resources/tc_chip_100.png";
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 450) {
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 456) {
     c8.src = "Resources/tc_chip_100.png";
     c7.src = "Resources/tc_chip_500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 462) {
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 464) {
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 468) {
     c10.src = "Resources/tc_chip_100.png";
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_500.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 472) {
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 474) {
     c10.src = "Resources/tc_chip_200.png";
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 480) {
     c8.src = "Resources/tc_chip_500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 486) {
     c9.src = "Resources/tc_chip_100.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 488) {
     c10.src = "Resources/tc_chip_100.png";
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 492) {
     c10.src = "Resources/tc_chip_200.png";
     c9.src = "Resources/tc_chip_500.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 496) {
     c10.src = "Resources/tc_chip_100.png";
     c9.src = "Resources/tc_chip_1000.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 498) {
     c11.src = "Resources/tc_chip_100.png";
     c10.src = "Resources/tc_chip_200.png";
     c9.src = "Resources/tc_chip_1000.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_2500.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 504) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_200.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 510) {
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 512) {
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 516) {
     c8.src = "Resources/tc_chip_100.png";
     c7.src = "Resources/tc_chip_500.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 520) {
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 522) {
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_1000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 528) {
     c8.src = "Resources/tc_chip_100.png";
     c7.src = "Resources/tc_chip_200.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 530) {
     c7.src = "Resources/tc_chip_500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 536) {
     c8.src = "Resources/tc_chip_100.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 540) {
     c8.src = "Resources/tc_chip_500.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 544) {
     c10.src = "Resources/tc_chip_200.png";
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_500.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 546) {
     c9.src = "Resources/tc_chip_100.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 552) {
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 558) {
     c10.src = "Resources/tc_chip_100.png";
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 560) {
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 564) {
     c10.src = "Resources/tc_chip_200.png";
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 568) {
     c11.src = "Resources/tc_chip_100.png";
     c10.src = "Resources/tc_chip_200.png";
     c9.src = "Resources/tc_chip_500.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 570) {
     c9.src = "Resources/tc_chip_1000.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 576) {
     c9.src = "Resources/tc_chip_100.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 582) {
     c10.src = "Resources/tc_chip_200.png";
     c9.src = "Resources/tc_chip_500.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 584) {
     c11.src = "Resources/tc_chip_200.png";
     c10.src = "Resources/tc_chip_200.png";
     c9.src = "Resources/tc_chip_500.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 588) {
     c11.src = "Resources/tc_chip_100.png";
     c10.src = "Resources/tc_chip_200.png";
     c9.src = "Resources/tc_chip_1000.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 592) {
     c11.src = "Resources/tc_chip_200.png";
     c10.src = "Resources/tc_chip_500.png";
     c9.src = "Resources/tc_chip_1000.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 594) {
     c12.src = "Resources/tc_chip_200.png";
     c11.src = "Resources/tc_chip_200.png";
     c10.src = "Resources/tc_chip_500.png";
     c9.src = "Resources/tc_chip_1000.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_2500.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 600) {
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 608) {
     c9.src = "Resources/tc_chip_100.png";
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_500.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 616) {
     c9.src = "Resources/tc_chip_100.png";
     c8.src = "Resources/tc_chip_500.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 624) {
     c10.src = "Resources/tc_chip_200.png";
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_1000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 632) {
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 640) {
     c9.src = "Resources/tc_chip_500.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 648) {
     c11.src = "Resources/tc_chip_100.png";
     c10.src = "Resources/tc_chip_200.png";
     c9.src = "Resources/tc_chip_1000.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 656) {
     c10.src = "Resources/tc_chip_100.png";
     c9.src = "Resources/tc_chip_500.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 664) {
     c11.src = "Resources/tc_chip_200.png";
     c10.src = "Resources/tc_chip_200.png";
     c9.src = "Resources/tc_chip_1000.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 672) {
     c11.src = "Resources/tc_chip_200.png";
     c10.src = "Resources/tc_chip_1000.png";
     c9.src = "Resources/tc_chip_1000.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 688) {
     c12.src = "Resources/tc_chip_100.png";
     c11.src = "Resources/tc_chip_200.png";
     c10.src = "Resources/tc_chip_1000.png";
     c9.src = "Resources/tc_chip_2500.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 696) {
     c12.src = "Resources/tc_chip_100.png";
     c11.src = "Resources/tc_chip_1000.png";
     c10.src = "Resources/tc_chip_1000.png";
     c9.src = "Resources/tc_chip_2500.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_2500.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 704) {
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_200.png";
     c7.src = "Resources/tc_chip_10000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 712) {
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_10000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 720) {
     c9.src = "Resources/tc_chip_1000.png";
     c8.src = "Resources/tc_chip_1000.png";
     c7.src = "Resources/tc_chip_10000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 728) {
     c10.src = "Resources/tc_chip_100.png";
     c9.src = "Resources/tc_chip_200.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_10000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 736) {
     c10.src = "Resources/tc_chip_100.png";
     c9.src = "Resources/tc_chip_1000.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_10000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 744) {
     c12.src = "Resources/tc_chip_200.png";
     c11.src = "Resources/tc_chip_200.png";
     c10.src = "Resources/tc_chip_500.png";
     c9.src = "Resources/tc_chip_1000.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_10000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 752) {
     c10.src = "Resources/tc_chip_200.png";
     c9.src = "Resources/tc_chip_2500.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_10000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 760) {
     c10.src = "Resources/tc_chip_1000.png";
     c9.src = "Resources/tc_chip_2500.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_10000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 768) {
     c13.src = "Resources/tc_chip_100.png";
     c12.src = "Resources/tc_chip_200.png";
     c11.src = "Resources/tc_chip_500.png";
     c10.src = "Resources/tc_chip_1000.png";
     c9.src = "Resources/tc_chip_2500.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_10000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 776) {
     c11.src = "Resources/tc_chip_100.png";
     c10.src = "Resources/tc_chip_2500.png";
     c9.src = "Resources/tc_chip_2500.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_10000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 784) {
     c13.src = "Resources/tc_chip_200.png";
     c12.src = "Resources/tc_chip_200.png";
     c11.src = "Resources/tc_chip_500.png";
     c10.src = "Resources/tc_chip_2500.png";
     c9.src = "Resources/tc_chip_2500.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_10000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 792) {
     c13.src = "Resources/tc_chip_200.png";
     c12.src = "Resources/tc_chip_500.png";
     c11.src = "Resources/tc_chip_1000.png";
     c10.src = "Resources/tc_chip_2500.png";
     c9.src = "Resources/tc_chip_2500.png";
     c8.src = "Resources/tc_chip_2500.png";
     c7.src = "Resources/tc_chip_10000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   } else if (val == 800) {
     c8.src = "Resources/tc_chip_10000.png";
     c7.src = "Resources/tc_chip_10000.png";
     c6.src = "Resources/tc_chip_10000.png";
     c5.src = "Resources/tc_chip_10000.png";
     c4.src = "Resources/tc_chip_10000.png";
     c3.src = "Resources/tc_chip_10000.png";
     c2.src = "Resources/tc_chip_10000.png";
     c1.src = "Resources/tc_chip_10000.png";
   }
}

function clearExtra() {
  extra7.src = "";
  extra6.src = "";
  extra5.src = "";
  extra4.src = "";
  extra3.src = "";
  extra2.src = "";
  extra1.src = "";
}
